## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           deepin-wallpapers
Version:        1.7.16
Release:        %autorelease
Summary:        Deepin Wallpapers provides wallpapers of DDE
License:        CC-BY-4.0
URL:            https://github.com/linuxdeepin/deepin-wallpapers
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make

Requires(post): %{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives

%description
%{summary}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build

%install
install -d %{buildroot}%{_datadir}/wallpapers/deepin/
cp deepin/* %{buildroot}%{_datadir}/wallpapers/deepin/

install -d %{buildroot}%{_datadir}/backgrounds/deepin/
touch %{buildroot}%{_datadir}/backgrounds/default_background.jpg

%post
if [ $1 -ge 1 ]; then
  %{_sbindir}/alternatives --install %{_datadir}/backgrounds/default_background.jpg \
    deepin-default-background %{_datadir}/wallpapers/deepin/desktop.jpg 50
fi

%postun
if [ $1 -eq 0 ]; then
  %{_sbindir}/alternatives --remove deepin-default-background %{_datadir}/wallpapers/deepin/desktop.jpg
fi

%files
%doc README.md
%license LICENSE
%ghost %{_datadir}/backgrounds/default_background.jpg
%{_datadir}/backgrounds/deepin/
%dir %{_datadir}/wallpapers
%{_datadir}/wallpapers/deepin/

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Aug 27 2024 Felix Wang <topazus@outlook.com> - 1.7.16-2
- fix build

* Tue Aug 27 2024 Felix Wang <topazus@outlook.com> - 1.7.16-1
- update to 1.7.16; correct license to CC-BY-4.0

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 1.7.7-15
- Fix for new background filename

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 24 2023 Robin Lee <cheeselee@fedoraproject.org> - 1.7.7-13
- Rebuilt for f38-backgrounds

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 21 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.7.7-11
- Rebuilt for f37-backgrounds

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Apr 17 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.7.7-7
- Rebuilt for f36-backgrounds

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct  5 2021 Robin Lee <cheeselee@fedoraproject.org> - 1.7.7-5
- Rebuilt for f35-backgrounds

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Apr  7 2021 Robin Lee <cheeselee@fedoraproject.org> - 1.7.7-3
- Rebuild for f34-backgrounds

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 13 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.7.7-1
- Update to 1.7.7

* Sat Sep 19 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.7.6-11
- Rebuild for f33-backgrounds

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Mar 14 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.7.6-9
- Rebuild for f32-backgrounds

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep  6 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.7.6-7
- Rebuilt for f31-backgrounds

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Apr  6 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.7.6-5
- Fix alternatives name (BZ#1696921)

* Wed Mar 13 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.7.6-4
- Convert default wallpaper to jpg instead of schema override, since some other
  deepin packages hard coded the desktop.jpg path.
- Follow upstream to add an alternative 'deepin-default-background'

* Thu Feb 28 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.7.6-3
- Follow Fedora default wallpaper

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 15 2018 mosquito <sensor.wen@gmail.com> - 1.7.6-1
- Update to 1.7.6

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 1.7.5-1
- Update to 1.7.5

* Fri Jul 20 2018 mosquito <sensor.wen@gmail.com> - 1.7.4-1
- Update to 1.7.4

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 27 2017 mosquito <sensor.wen@gmail.com> - 1.7-1
- Update to 1.7

* Fri Jul 14 2017 mosquito <sensor.wen@gmail.com> - 1.6-1
- Update to 1.6

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 1.4-1.gita54c282
- Update to 1.4

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 1.3-1.gitdbc981b
- Update to 1.3

* Sun Sep 18 2016 Jaroslav <cz.guardian@gmail.com> Stepanek
- Initial package build

## END: Generated by rpmautospec
